Bug 186195 - dns/unbound: Silence unbound-checkconf during startup
dns/unbound: Silence unbound-checkconf during startup
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sergey Matveychuk
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-28 12:30 UTC by nick
Modified: 2014-02-07 21:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nick 2014-01-28 12:30:00 UTC
Remove the uninformative checkconf message.

     sigq-noship# /usr/local/etc/rc.d/unbound restart
     Stopping unbound.
     Waiting for PIDS: 3489.
     unbound-checkconf: no errors in /usr/local/etc/unbound/unbound.conf
     Obtaining a trust anchor:.
     Starting unbound.
     sigq-noship#

Fix: 

start_precmd()
 {
-	%%PREFIX%%/sbin/unbound-checkconf && \
+	%%PREFIX%%/sbin/unbound-checkconf > /dev/null && \
 	echo -n "Obtaining a trust anchor:" && \
 	su -m unbound -c %%PREFIX%%/sbin/unbound-anchor && \
 	echo .--H2CLOW0IQZwiim9IjjHwoiV2jZ3WUuSbvTVincYsbDIleS3m
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: files/unbound.in
===================================================================
--- files/unbound.in	(revision 334495)
+++ files/unbound.in	(working copy)
@@ -29,7 +29,7 @@
How-To-Repeat: Run

     /usr/local/etc/rc.d/unbound restart
Comment 1 Mark Linimon freebsd_committer 2014-02-06 04:44:27 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2014-02-06 04:44:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 sem33 2014-02-07 14:48:06 UTC
Why? Apache, for example, don't hide the output.
Comment 4 nick 2014-02-07 18:44:51 UTC
> Why? Apache, for example, don't hide the output.


Because pages and pages of output make it difficult to spot problems. If it starts successfully, the config must be correct. If it doesnt *then* you have to warn. Its the normal way for FreeBSD (unlike Linux, that confuses me with its coloured output during boot.

Nick
Comment 5 sem33 2014-02-07 19:15:50 UTC
07.02.2014 22:44, Nick Hibma пиÑеÑ:
>> Why? Apache, for example, don't hide the output.
>
> Because pages and pages of output make it difficult to spot problems. If it starts successfully, the config must be correct. If it doesnât *then* you have to warn. Itâs the normal way for FreeBSD (unlike Linux, that confuses me with its coloured output during boot.
>

So, what about apache port? Do you paln to send a patch to 
apache@FreeBSD.org to discuss?
Comment 6 dfilter freebsd_committer 2014-02-07 21:07:38 UTC
Author: sem
Date: Fri Feb  7 21:07:31 2014
New Revision: 343296
URL: http://svnweb.freebsd.org/changeset/ports/343296
QAT: https://qat.redports.org/buildarchive/r343296/

Log:
  - Hide output of check config command
  
  PR:		ports/186195
  Submitted by:	Nick Hibma <nick@anywi.com>

Modified:
  head/dns/unbound/files/unbound.in

Modified: head/dns/unbound/files/unbound.in
==============================================================================
--- head/dns/unbound/files/unbound.in	Fri Feb  7 20:23:14 2014	(r343295)
+++ head/dns/unbound/files/unbound.in	Fri Feb  7 21:07:31 2014	(r343296)
@@ -29,7 +29,7 @@ unbound_enable=${unbound_enable:-"NO"}
 
 start_precmd()
 {
-	%%PREFIX%%/sbin/unbound-checkconf && \
+	%%PREFIX%%/sbin/unbound-checkconf > /dev/null && \
 	echo -n "Obtaining a trust anchor:" && \
 	su -m unbound -c %%PREFIX%%/sbin/unbound-anchor && \
 	echo .
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Sergey Matveychuk freebsd_committer 2014-02-07 21:07:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!